# SingleProblemEvent

@Incubating
interface SingleProblemEvent : ProblemEvent

ProblemEvent with all the details relevant.

#### Since

8.8

## Functions

getDescriptor
Link copied to clipboard
abstract fun getDescriptor(): OperationDescriptor
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getEventTime
Link copied to clipboard
abstract fun getEventTime(): Long
getProblem
Link copied to clipboard
abstract fun getProblem(): Problem
Returns the structural details describing the problem.